cargo-features = ["edition2021"]

[package]
name = "solana-nft"
version = "0.1.0"
edition = "2021"
license = "DagaGameComercial"
publish = false

[dependencies]
arrayref = "0.3.6"
solana-program = "1.7.12"
solana-validator = { version = "1.7.12", optional = true }
thiserror = "1.0"
num-derive = "0.3"
num-traits = "0.2"
num-bigint = "0.4.2"
prost-derive = "0.8.0"
md5 = "0.7.0"
base64 = "0.13.0"
fastrand = "1.5.0"

[features]
test-bpf = ["solana-validator"]

[dev-dependencies]
assert_matches = "1.4.0"
solana-program-test = "1.7.12"
solana-sdk = "1.7.12"

[lib]
crate-type = ["cdylib", "lib"]
